---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libVThreadEventTest.dylib'
relocations:
  - { offsetInCU: 0x8C, offset: 0x8C, size: 0x8, addend: 0x0, symName: __ZL14thread_end_cnt, symObjAddr: 0x25A18, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0xFF5, offset: 0xFF5, size: 0x8, addend: 0x0, symName: __ZL16thread_mount_cnt, symObjAddr: 0x25A1C, symBinAddr: 0x804C, symSize: 0x0 }
  - { offsetInCU: 0x100E, offset: 0x100E, size: 0x8, addend: 0x0, symName: __ZL18thread_unmount_cnt, symObjAddr: 0x25A20, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x1027, offset: 0x1027, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x25A10, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0xAE80, offset: 0xAE80, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x27DC, symSize: 0x24 }
  - { offsetInCU: 0xB134, offset: 0xB134, size: 0x8, addend: 0x0, symName: _VirtualThreadEnd, symObjAddr: 0xC70, symBinAddr: 0x2800, symSize: 0x14 }
  - { offsetInCU: 0xB16E, offset: 0xB16E, size: 0x8, addend: 0x0, symName: _VirtualThreadEnd, symObjAddr: 0xC70, symBinAddr: 0x2800, symSize: 0x14 }
  - { offsetInCU: 0xB191, offset: 0xB191, size: 0x8, addend: 0x0, symName: _VirtualThreadEnd, symObjAddr: 0xC70, symBinAddr: 0x2800, symSize: 0x14 }
  - { offsetInCU: 0xB1BA, offset: 0xB1BA, size: 0x8, addend: 0x0, symName: _VirtualThreadEnd, symObjAddr: 0xC70, symBinAddr: 0x2800, symSize: 0x14 }
  - { offsetInCU: 0xB2FE, offset: 0xB2FE, size: 0x8, addend: 0x0, symName: _VirtualThreadMount, symObjAddr: 0xC84, symBinAddr: 0x2814, symSize: 0x23C }
  - { offsetInCU: 0xB794, offset: 0xB794, size: 0x8, addend: 0x0, symName: _VirtualThreadUnmount, symObjAddr: 0xEC0, symBinAddr: 0x2A50, symSize: 0x2F8 }
  - { offsetInCU: 0xBD3E, offset: 0xBD3E, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadEndCount, symObjAddr: 0x11B8, symBinAddr: 0x2D48, symSize: 0x10 }
  - { offsetInCU: 0xBD77, offset: 0xBD77, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadEndCount, symObjAddr: 0x11B8, symBinAddr: 0x2D48, symSize: 0x10 }
  - { offsetInCU: 0xBD94, offset: 0xBD94, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadEndCount, symObjAddr: 0x11B8, symBinAddr: 0x2D48, symSize: 0x10 }
  - { offsetInCU: 0xBDB7, offset: 0xBDB7, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadEndCount, symObjAddr: 0x11B8, symBinAddr: 0x2D48, symSize: 0x10 }
  - { offsetInCU: 0xBDDA, offset: 0xBDDA, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadMountCount, symObjAddr: 0x11C8, symBinAddr: 0x2D58, symSize: 0x10 }
  - { offsetInCU: 0xBE13, offset: 0xBE13, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadMountCount, symObjAddr: 0x11C8, symBinAddr: 0x2D58, symSize: 0x10 }
  - { offsetInCU: 0xBE30, offset: 0xBE30, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadMountCount, symObjAddr: 0x11C8, symBinAddr: 0x2D58, symSize: 0x10 }
  - { offsetInCU: 0xBE53, offset: 0xBE53, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadMountCount, symObjAddr: 0x11C8, symBinAddr: 0x2D58, symSize: 0x10 }
  - { offsetInCU: 0xBE76, offset: 0xBE76, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadUnmountCount, symObjAddr: 0x11D8, symBinAddr: 0x2D68, symSize: 0x10 }
  - { offsetInCU: 0xBEAF, offset: 0xBEAF, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadUnmountCount, symObjAddr: 0x11D8, symBinAddr: 0x2D68, symSize: 0x10 }
  - { offsetInCU: 0xBECC, offset: 0xBECC, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadUnmountCount, symObjAddr: 0x11D8, symBinAddr: 0x2D68, symSize: 0x10 }
  - { offsetInCU: 0xBEEF, offset: 0xBEEF, size: 0x8, addend: 0x0, symName: _Java_VThreadEventTest_threadUnmountCount, symObjAddr: 0x11D8, symBinAddr: 0x2D68, symSize: 0x10 }
  - { offsetInCU: 0xC0E6, offset: 0xC0E6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x11E8, symBinAddr: 0x2D78, symSize: 0x340 }
  - { offsetInCU: 0xC728, offset: 0xC728, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x1528, symBinAddr: 0x30B8, symSize: 0x30 }
  - { offsetInCU: 0xC732, offset: 0xC732, size: 0x8, addend: 0x0, symName: __ZL14find_ext_eventP9_jvmtiEnvPKc, symObjAddr: 0x1558, symBinAddr: 0x30E8, symSize: 0xAC }
  - { offsetInCU: 0xC84B, offset: 0xC84B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x1528, symBinAddr: 0x30B8, symSize: 0x30 }
  - { offsetInCU: 0xC8C8, offset: 0xC8C8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.1, symObjAddr: 0x1604, symBinAddr: 0x31A4, symSize: 0x3C }
  - { offsetInCU: 0xC8F4, offset: 0xC8F4, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.2, symObjAddr: 0x1640, symBinAddr: 0x31E0, symSize: 0x44 }
  - { offsetInCU: 0xC920, offset: 0xC920, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.3, symObjAddr: 0x1684, symBinAddr: 0x3224, symSize: 0x3C }
  - { offsetInCU: 0xC94C, offset: 0xC94C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.4, symObjAddr: 0x16C0, symBinAddr: 0x3260, symSize: 0x44 }
  - { offsetInCU: 0xC978, offset: 0xC978, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.5, symObjAddr: 0x1704, symBinAddr: 0x32A4, symSize: 0x3C }
  - { offsetInCU: 0xC9A4, offset: 0xC9A4, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.6, symObjAddr: 0x1740, symBinAddr: 0x32E0, symSize: 0x44 }
  - { offsetInCU: 0xC9D0, offset: 0xC9D0, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.7, symObjAddr: 0x1784, symBinAddr: 0x3324, symSize: 0x3C }
  - { offsetInCU: 0xC9FC, offset: 0xC9FC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.8, symObjAddr: 0x17C0, symBinAddr: 0x3360, symSize: 0x44 }
  - { offsetInCU: 0xCA28, offset: 0xCA28, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.11, symObjAddr: 0x188C, symBinAddr: 0x342C, symSize: 0x44 }
  - { offsetInCU: 0xCA54, offset: 0xCA54, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.10, symObjAddr: 0x1848, symBinAddr: 0x33E8, symSize: 0x44 }
  - { offsetInCU: 0xCA80, offset: 0xCA80, size: 0x8, addend: 0x0, symName: _Agent_OnAttach.cold.9, symObjAddr: 0x1804, symBinAddr: 0x33A4, symSize: 0x44 }
  - { offsetInCU: 0xCB00, offset: 0xCB00, size: 0x8, addend: 0x0, symName: _OUTLINED_FUNCTION_0, symObjAddr: 0x18D0, symBinAddr: 0x3194, symSize: 0x8 }
  - { offsetInCU: 0xCB17, offset: 0xCB17, size: 0x8, addend: 0x0, symName: _OUTLINED_FUNCTION_1, symObjAddr: 0x18D8, symBinAddr: 0x319C, symSize: 0x8 }
...
